<br/>
<br/>
<div class="text-center">
    <i class="fa fa fa-spinner fa-spin" style="font-size: 48px;"></i>
    <h6 th:text="#{popup.redirecting.please.wait}">Redireccionando, espere por favor...</h6>
</div>

<link th:href="${formData.get('style_url')}" rel="stylesheet" type="text/css" />
<script th:src="${formData.get('script_url')}" charset="UTF-8"></script>
<script th:src="${formData.get('checkout_url')}"></script>

<button class="js-paymentez-checkout">Purchase</button>


<script th:inline='javascript'>

    $(document).ready(function () {

        /*<![CDATA[*/
        var clientAppCode = /*[[${formData.get('client_app_code')}]]*/ 'xx';
        var clientAppKey = /*[[${formData.get('client_app_key')}]]*/ 'xx';
        var mode = /*[[${formData.get('mode')}]]*/ 'xx';
        var saleId = /*[[${req.id}]]*/ 'xx';
        var saleUserID = /*[[${req.orderNumber}]]*/ 'xx';
        var saleTitle = /*[[${req.title}]]*/ 'xx';
        var saleAmount = /*[[${req.getIntegerAmount()}]]*/ 'xx';
        var saleEmail = /*[[${req.billingEmail}]]*/ 'xx';
        /*]]>*/

        var paymentezCheckout = new PaymentezCheckout.modal({

            client_app_code: clientAppCode,
            client_app_key: clientAppKey,
            locale: 'es',
            env_mode: mode,
            onOpen: function () {
                console.log('modal open');
            },
            onClose: function () {
                console.log('modal closed');
            },
            onResponse: function (response) { // The callback to invoke when the Checkout process is completed
                
                console.log('modal response');
                document.getElementById('response').innerHTML = JSON.stringify(response);
            }
        });

        var btnOpenCheckout = document.querySelector('.js-paymentez-checkout');
        btnOpenCheckout.addEventListener('click', function () {
            // Open Checkout with further options:
            paymentezCheckout.open({
                user_id: saleUserID,
                user_email: saleEmail,
                order_description: saleTitle,
                order_amount: saleAmount,
                order_vat: 0,
                order_reference: saleId
            });
        });

        // Close Checkout on page navigation:
        window.addEventListener('popstate', function () {
            paymentezCheckout.close();
        });
        $('.js-paymentez-checkout').click();
    });
</script>

